"""empty message

Revision ID: f0ebcdec4dac
Revises: 
Create Date: 2019-01-04 12:51:44.257646

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f0ebcdec4dac'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('cluster',
    sa.Column('name', sa.String(length=80), nullable=False),
    sa.Column('server', sa.String(length=80), nullable=False),
    sa.Column('certificate_authority', sa.String(length=80), nullable=False),
    sa.Column('client_cert', sa.String(length=80), nullable=False),
    sa.Column('client_key', sa.String(length=80), nullable=False),
    sa.Column('docker_host', sa.String(length=80), nullable=True),
    sa.Column('docker_cert_path', sa.String(length=80), nullable=True),
    sa.Column('docker_api_version', sa.String(length=10), nullable=True),
    sa.PrimaryKeyConstraint('name'),
    sa.UniqueConstraint('server')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('cluster')
    # ### end Alembic commands ###
